Data - Retrieve Classes
Retrieves the list of classes and their properties.
POST http://<Servername>/OperationsManager/data/scomClasses
Request Body
Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"
| Name | Type | Description |
|---|---|---|
| criteria |
string |
Specify the criteria to search |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK.Successfully retrieved the list of classes and their properties. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Examples
RetrieveClasses
Sample request
POST http://<Servername>/OperationsManager/data/scomClasses
[
"DisplayName LIKE '%.net windows%'"
]
Sample response
{
"scopeDatas": [
{
"id": "c9dff298-d539-ee41-fc32-f7ba1b42f95e",
"displayName": ".NET Windows Service",
"className": "Microsoft.SystemCenter.ApplicationMonitoring.Library!Microsoft.SystemCenter.ApplicationMonitoring.Net.NTServiceComponent",
"path": null,
"fullName": null
}
]
}
Definitions
| Name | Description |
|---|---|
|
Scope |
|
|
Scope |
ScopeData
| Name | Type | Description |
|---|---|---|
| className |
string |
Class Name |
| displayName |
string |
Display Name |
| fullName |
string |
Full Name |
| id |
string |
ID |
| path |
string |
Path |
ScopeDataResponse
| Name | Type | Description |
|---|---|---|
| scopeDatas |
Scope Data |